%bcond_with build_nosrc

%if !%{with build_nosrc}
%global _disable_source_fetch 0
%endif

Name: docker-ce
Version: 19.03.8
Release: 1%{?_dist_release}
Summary: The open-source application container engine
Group: Development/Tools
License: ASL 2.0
URL: https://www.docker.com
Source0: https://download.docker.com/linux/static/stable/x86_64/docker-%{version}.tgz
Source1: https://github.com/docker/docker-ce/raw/v%{version}/README.md
Source2: https://github.com/docker/docker-ce/raw/v%{version}/components/cli/LICENSE

Source10: docker.init
Source11: docker.sysconfig
Source12: docker.conf

%if %{with build_nosrc}
NoSource: 0
NoSource: 1
NoSource: 2
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

# required packages on install
Requires: /bin/sh
Requires: libcgroup
Requires: docker-ce-cli = %{version}-%{release}

Conflicts: docker-ee
Conflicts: docker-ee-cli

%description
Docker is is a product for you to build, ship and run any application as a
lightweight container.

Docker containers are both hardware-agnostic and platform-agnostic. This means
they can run anywhere, from your laptop to the largest cloud compute instance and
everything in between - and they don't require you to use a particular
language, framework or packaging system. That makes them great building blocks
for deploying and scaling web apps, databases, and backend services without
depending on a particular stack or provider.

%package cli
Summary: clients for Docker
Group: Development/Tools

%description cli
Docker is is a product for you to build, ship and run any application as a
lightweight container.

Docker containers are both hardware-agnostic and platform-agnostic. This means
they can run anywhere, from your laptop to the largest cloud compute instance and
everything in between - and they don't require you to use a particular
language, framework or packaging system. That makes them great building blocks
for deploying and scaling web apps, databases, and backend services without
depending on a particular stack or provider.


%prep
%setup -q -c -n docker

%build

# %check
# cli/build/docker -v

%install
# install binary
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_localstatedir}/lib/docker
install -d %{buildroot}%{_localstatedir}/run/docker
install -d %{buildroot}%{_initdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/rsyslog.d

for f in docker/*; do
  install -p -m 755 $f %{buildroot}%{_bindir}/
done

install -p -m 755 %{SOURCE10} %{buildroot}%{_initdir}/docker
install -p -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/sysconfig/docker
install -p -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/rsyslog.d/docker

install -p -m 644 %{SOURCE1} ./
install -p -m 644 %{SOURCE2} ./


%clean
rm -rf %{buildroot}

%post
if ! getent group docker > /dev/null; then
    groupadd --system docker
fi
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add docker
fi

%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig docker off
  /sbin/chkconfig --del docker
fi

# list files owned by the package here
%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_bindir}/containerd
%{_bindir}/containerd-shim
%{_bindir}/ctr
%{_bindir}/docker-init
%{_bindir}/docker-proxy
%{_bindir}/dockerd
%dir %{_localstatedir}/run/docker
%dir %{_localstatedir}/lib/docker
%{_initdir}/docker
%config(noreplace) %{_sysconfdir}/sysconfig/docker
%config(noreplace) %{_sysconfdir}/rsyslog.d/docker

%files cli
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_bindir}/docker
%{_bindir}/runc

%changelog
* Thu Mar 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 19.03.08-1
- new upstream release.

* Thu Oct 10 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 19.03.03-1
- new upstream release.

* Tue Aug 27 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 19.03.1-2
- updated initscript: added syslog support.

* Sun Aug 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 19.03.1-1
- initial build for Vine Linux.
